package com.hainaos.vc.fragment.doc;

import android.app.Activity;
import android.os.Bundle;

import androidx.fragment.app.Fragment;

import com.hainaos.vc.R;
import com.hainaos.vc.base.mvvm.fragment.BaseMvvmFragment;
import com.hainaos.vc.databinding.FragmentDocBinding;

/**
 * A simple {@link Fragment} subclass.
 * Use the {@link DocFragment#newInstance} factory method to
 * create an instance of this fragment.
 */
public class DocFragment extends BaseMvvmFragment<DocViewModel, FragmentDocBinding> {
    private static final String TAG = "DocFragment";

    private Activity mContext;

    // TODO: Rename parameter arguments, choose names that match
    // the fragment initialization parameters, e.g. ARG_ITEM_NUMBER
    private static final String ARG_PARAM1 = "param1";
    private static final String ARG_PARAM2 = "param2";

    // TODO: Rename and change types of parameters
    private String mParam1;
    private String mParam2;

    public DocFragment() {
        // Required empty public constructor
    }

    /**
     * Use this factory method to create a new instance of
     * this fragment using the provided parameters.
     *
     * @param param1 Parameter 1.
     * @param param2 Parameter 2.
     * @return A new instance of fragment PictureFragment.
     */
    // TODO: Rename and change types and number of parameters
    public static DocFragment newInstance(String param1, String param2) {
        DocFragment fragment = new DocFragment();
        Bundle args = new Bundle();
        args.putString(ARG_PARAM1, param1);
        args.putString(ARG_PARAM2, param2);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (getArguments() != null) {
            mParam1 = getArguments().getString(ARG_PARAM1);
            mParam2 = getArguments().getString(ARG_PARAM2);
        }
    }

    @Override
    protected int getLayoutId() {
        return R.layout.fragment_doc;
    }

    @Override
    protected void initDataBinding() {
        mContext = getActivity();
        mViewModel.setCtx(getCtx());
        mViewModel.setLifecycle(getLifecycleSubject());
        mViewModel.setVDBinding(mViewDataBinding);
//        mViewDataBinding.setClick(new BtnClick());
    }

    @Override
    protected void initView(Bundle bundle) {

    }

    @Override
    protected void initData(Bundle savedInstanceState) {

    }

    @Override
    public void fetchData() {

    }
}
